varying mediump vec2 textureCoordinate;

uniform sampler2D inputImageTexture; //显示层
uniform sampler2D inputImageTexture2;
uniform mediump float process;
uniform mediump float ratio;

lowp float decelerate(lowp float x, lowp float factor) {
    return (1.0 - pow((1.0 - x), 2.0 * factor));
}

void main() {
    mediump float progress = decelerate(process, 1.2);
    if(
      ((ratio * (textureCoordinate.x - 0.5) + progress > (textureCoordinate.y - 0.5)) && (ratio * (textureCoordinate.x - 0.5) - progress < (textureCoordinate.y - 0.5)))
      ||
      (ratio * (textureCoordinate.x - 0.5) + 0.5 + ratio * 0.5 - progress < (textureCoordinate.y - 0.5))
      ||
      (ratio * (textureCoordinate.x - 0.5) - 0.5 - ratio * 0.5 + progress > (textureCoordinate.y - 0.5))
      ){
      gl_FragColor = texture2D(inputImageTexture2, textureCoordinate);
    } else {
      gl_FragColor = texture2D(inputImageTexture, textureCoordinate);
    }
}

