varying mediump vec2 textureCoordinate;

uniform sampler2D inputImageTexture;
uniform mediump float process;

void main() {
    mediump float alpha = (1.0 - process) * 0.5;
    mediump vec4 lightColor = vec4(0.0,0.0,0.0, 1.0);
    mediump vec4 color = texture2D(inputImageTexture, textureCoordinate);
    gl_FragColor = mix(color, lightColor, alpha);
}