varying mediump vec2 textureCoordinate;

uniform sampler2D inputImageTexture;
uniform mediump float process;
uniform mediump float start;
uniform mediump float end;

void main() {
    mediump vec4 source =  texture2D(inputImageTexture, textureCoordinate);
    gl_FragColor = vec4(source.rgb, source.a * mix(start, end, process));
}