precision lowp float;

varying highp vec2 textureCoordinate;

uniform sampler2D inputImageTexture;
uniform vec2 singleStepOffset;

uniform highp float uAlpha;

void main()
{
    vec3 sum = vec3(0.0);
    sum += texture2D(inputImageTexture, textureCoordinate - singleStepOffset * 4.0).rgb * 0.05;
    sum += texture2D(inputImageTexture, textureCoordinate - singleStepOffset * 3.0).rgb * 0.09;
    sum += texture2D(inputImageTexture, textureCoordinate - singleStepOffset * 2.0).rgb * 0.12;
    sum += texture2D(inputImageTexture, textureCoordinate - singleStepOffset).rgb * 0.15;
    sum += texture2D(inputImageTexture, textureCoordinate).rgb * 0.18;
    sum += texture2D(inputImageTexture, textureCoordinate + singleStepOffset).rgb * 0.15;
    sum += texture2D(inputImageTexture, textureCoordinate + singleStepOffset * 2.0).rgb * 0.12;
    sum += texture2D(inputImageTexture, textureCoordinate + singleStepOffset * 3.0).rgb * 0.09;
    sum += texture2D(inputImageTexture, textureCoordinate + singleStepOffset * 4.0).rgb * 0.05;
    gl_FragColor = vec4(sum, uAlpha);
}