varying mediump vec2 textureCoordinate;

uniform sampler2D inputImageTexture;//lightvideo
uniform sampler2D inputImageTextureBase; //base, 这个纹理传入会上下翻转，神奇

void main()
{
     mediump vec3 colorLight = texture2D(inputImageTexture, textureCoordinate).rgb;
     mediump vec3 colorBase = texture2D(inputImageTextureBase, vec2(textureCoordinate.x, textureCoordinate.y)).rgb;
     gl_FragColor.rgb = 1.0 - (1.0 - colorBase) * (1.0 - colorLight);
     gl_FragColor.a = 1.0;
}