varying mediump vec2 textureCoordinate;

uniform sampler2D inputImageTexture;
uniform mediump float process;

void main() {
    if(textureCoordinate.y > 0.375 - 0.375 * process
            && textureCoordinate.y < 0.625 + 0.357 *process){
        gl_FragColor = texture2D(inputImageTexture, textureCoordinate);
    } else {
        gl_FragColor =  vec4(0.0,0.0,0.0,1.0);
    }
}