varying mediump vec2 textureCoordinate;

uniform sampler2D inputImageTexture;
uniform mediump float process;

void main() {
    mediump float alpha = 0.0;
    if(process < 0.5) {
        alpha = process * 1.2;
    } else {
        alpha = 0.6 - (process - 0.5)* 1.2;
    }
    mediump vec4 lightColor = vec4(1.0,1.0,1.0,1.0);
    mediump vec4 color = texture2D(inputImageTexture, textureCoordinate);
    gl_FragColor = mix(color, lightColor, alpha);
}
