varying mediump vec2 textureCoordinate;

uniform sampler2D inputImageTexture;
uniform mediump float process;

void main() {
    mediump vec4 source =  texture2D(inputImageTexture, textureCoordinate);
    if(textureCoordinate.x < process) {
        gl_FragColor = vec4(source.rgb / source.a, source.a);
    } else {
        gl_FragColor =  vec4(1.0,1.0,1.0,0.0);
    }
}