varying mediump vec2 textureCoordinate;

uniform sampler2D inputImageTexture; //显示层
uniform mediump float process;
uniform mediump float ratio;

lowp float decelerate(lowp float x, lowp float factor) {
    return (1.0 - pow((1.0 - x), 2.0 * factor));
}

void main() {
    mediump float progress = decelerate(process, 1.2);
    mediump vec2 cood1 = (textureCoordinate - vec2(0.5,0.5)) * (1.0 - process * 0.25) + vec2(0.5,0.5); // 放大
//    float pro = (0.5 + ratio * 0.6) * progress / 2.;  //maybe 0.5 ,要不要做映射
    if(
      ((ratio * (textureCoordinate.x - 0.5) + progress > (textureCoordinate.y - 0.5)) && (ratio * (textureCoordinate.x - 0.5) - progress < (textureCoordinate.y - 0.5)))
      ||
      (ratio * (textureCoordinate.x - 0.5) + 0.5 + ratio * 0.5 - progress < (textureCoordinate.y - 0.5))
      ||
      (ratio * (textureCoordinate.x - 0.5) - 0.5 - ratio * 0.5 + progress > (textureCoordinate.y - 0.5))
      ){
      gl_FragColor = texture2D(inputImageTexture, cood1);
    } else {
      gl_FragColor =  vec4(0,0,0,0);
    }
}

//vec4 transition (vec2 uv) {
//  vec2 cood1 = (uv - vec2(0.5,0.5)) * (1.0 - progress * 0.25) + vec2(0.5,0.5);
//  vec2 cood2 = (uv - vec2(0.5,0.5)) * (1.0 + progress * 0.25) + vec2(0.5,0.5);
//  if(
//    ((ratio * (uv.x - 0.5) + progress > (uv.y - 0.5)) && (ratio * (uv.x - 0.5) - progress < (uv.y - 0.5)))
//    ||
//    (ratio * (uv.x - 0.5) + 0.5 + ratio * 0.5 - progress < (uv.y - 0.5))
//    ||
//    (ratio * (uv.x - 0.5) - 0.5 - ratio * 0.5 + progress > (uv.y - 0.5))
//    ){
//    return getFromColor(cood1);
//  } else {
//    return getToColor(cood2);
//  }
//}
