varying mediump vec2 textureCoordinate;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform mediump float process;

void main() {
    mediump vec4 source =  texture2D(inputImageTexture, textureCoordinate);
    mediump vec4 dest = texture2D(inputImageTexture2, textureCoordinate);
    gl_FragColor = vec4(source.rgb * (1.0 - process) + dest.rgb * process, 1.0);
}