varying mediump vec2 textureCoordinate;

uniform sampler2D inputImageTexture;//video
uniform sampler2D inputImageTextureAlpha; //alpha

void main()
{
     mediump vec3 colorBase = texture2D(inputImageTexture, textureCoordinate).rgb;
     mediump vec3 colorAlpha = texture2D(inputImageTextureAlpha, textureCoordinate).rgb;
     gl_FragColor.a = (colorAlpha.r + colorAlpha.g + colorAlpha.b) / 3.0;
     gl_FragColor.rgb = colorBase;
}
